export function stringifyTokens(ogText, tokens) {
    let s = '';
    for (const token of tokens) {
        switch (token.type) {
            case 0 /* TokenType.STR */: {
                s += ogText.substring(token.offset, token.offset + token.length);
                break;
            }
            case 1 /* TokenType.LINEBREAK */: {
                s += '\n';
                break;
            }
            case 2 /* TokenType.L_BRACKET */: {
                s += '[';
                break;
            }
            case 3 /* TokenType.R_BRACKET */: {
                s += ']';
                break;
            }
            case 4 /* TokenType.BACKSLASH */: {
                s += '/';
                break;
            }
            case 5 /* TokenType.EQUALS */: {
                s += '=';
                break;
            }
            case 6 /* TokenType.XSS_AMP */: {
                s += '&amp;';
                break;
            }
            case 7 /* TokenType.XSS_LT */: {
                s += '&lt;';
                break;
            }
            case 8 /* TokenType.XSS_GT */: {
                s += '&gt;';
                break;
            }
            case 9 /* TokenType.XSS_D_QUOTE */: {
                s += '&quot;';
                break;
            }
            case 10 /* TokenType.XSS_S_QUOTE */: {
                s += '&#x27;';
                break;
            }
        }
    }
    return s;
}
//# sourceMappingURL=Token.js.map