import { AstNodeType, AstNode, AttrNode, RootNode, TagNode, TextNode, LinebreakNode, EndTagNode, StartTagNode } from './AstNode.js';
type AstMap = {
    [AstNodeType.RootNode]: RootNode;
    [AstNodeType.LinebreakNode]: LinebreakNode;
    [AstNodeType.TextNode]: TextNode;
    [AstNodeType.TagNode]: TagNode;
    [AstNodeType.StartTagNode]: StartTagNode;
    [AstNodeType.EndTagNode]: EndTagNode;
    [AstNodeType.AttrNode]: AttrNode;
};
export declare function nodeIsType<T extends keyof AstMap>(node: AstNode, nodeType: T): node is AstMap[T];
export {};
//# sourceMappingURL=nodeIsType.d.ts.map